[Actor]
AiClearMode@(thing ai, flag*);@Clears AI mode Flags 
AiFlee@(thing ref,vector position);@Tells Ai to flee to specific location
AiGetMode@(thing);@Returns int,  mode flags
AiGetMovePos@(thing);@Returns vector , gets current move position
AiJump@();@Makes Ai Jump
AiSetClass@();@Sets AI class
AiSetFireTarget@(thing ai, thing target);@Sets the firing target for an actor.
AiSetLookFrame@(thing, int look frame);@Sets look target frame for actor
AiSetLookPos@(thing, vector);@Actor looks to specified vector position
AiSetMode@(thing, int flags mode);@Sets actor mode flags
AiSetMoveFrame@(thing, int frame);@Sets the move to frame for an actor
AiSetMovePos@(thing, vector);@Actor moves to specifed vector position
AiSetMoveSpeed@(thing, flex speed);@ Sets the Move speed of an actor 1.5,2.0 =run ,1.0 =walk
AiSetMoveThing@(thing, thing chase target);@ Ai moves to thing specified
ClearActorFlags@(thing, flag*);@Clears specified actor flags
GetActorFlags@(thing);@Returns Int ,Gets the actor flags.
GetActorWeapon@(thing,  int bin);@returns -1 if actor has no weapon
GetHeadLightIntensity@(thing);@Returns int, gets the brightness of headlight
GetThingHealth@(thing);@returns flex , fetches things health
HealThing@(thing, flex health);@heals things health by amount specified
IsAiTargetInSight@();@Checks to see if target is in sight
SetActorExtraSpeed@(thing, flex speed);@Sets actors extra speed
SetActorFlags@(thing, flag*);@Sets the specified Actor flags
SetActorWeapon@(thing, int bin, template);@Removes an actors weapon,bin must be 1,template set to -1 will remove wepaon
SetHeadLightIntensity@(thing, flex);@Sets the headlight brightness
[Anim]
GetKeyLen@(keyfile);@Returns flex time to run specified keyfile
GetMaterialCel@(material);@Returns Int of cel number mat is set to.
jkPlayPovKey@();@Plays POV keyanim
jkSetPovModel@();@Sets the POV model
jkStopPovKey@();@Stops a POV keyanim
MaterialAnim@(material , int frames_per_sec, 1);@Animates material affecting all faces with this material 
PlayKey@(thing, int keyframe, flags);@Returns int keynum playing, plays a keyframe,flags 2=loop 1=sync movement with 3do
PlayMode@();@?
SetMaterialCel@(material, int);@?
SetMountWait@(thing, flex delay);@keyframe play delay 
StopAnim@(animation);@Stops the specified playing animation  
StopKey@(thing, keyframe, flex delay);@Stops a key
[Inv]
ActivateBin@(thing,flex delay,bin);@Activates a bin 
ChangeInv@(player,bin,flex);@Changes the value of a bin
DeactivateBin@(thing,Bin);@Deactivates a bin
GetInv@(thing,bin);@Retrieves bin value
GetInvCog@(thing,bin);@Retrieves cogref of a bin
GetInvMax@(thing,bin);@Retrieves max value of bin
GetInvMin@(thing,bin);@Retrives min value of bin
IsInvActivated@(thing,bin);@Checks to see if bin is active
IsInvAvailable@(thing,bin);@Checks to see if bin is availible
SetBinWait@(player,bin,flex delay);@Sets delay before a bin can  be reactivated 
SetInv@(thing,bin,flex);@Sets the value of a bin in inventory
SetInvActivated@(thing,bin,int);@Sets bin active or deactive. 
SetInvAvailable@(thing,bin,int);@Sets bin to available/unavailable.
SetInvFlags@(player,bin,flag*);@Sets the bin Flags 
[Multi]
AddScoreToTeamMembers@(int,team int);@Adds score to all members
ClearMultiModeFlags@(flag*);@Clears specified flags
CreateBackPack@(player);@Write created a backpack w/weapons of a dead player
GetAbsoluteMaxPlayers@();@Gets max players the engine can handle
GetMaxPlayers@();@Gets max allowed in a game
GetMultiModeFlags@();@Retrieves the game mode flags
GetNumPlayers@();@Gets num of players in a game.
GetNumPlayersInTeam@(team);@Gets players on a team
GetPlayerKilled@(Player);@Gets how many times a player has benen killd
GetPlayerKills@(player);@Gets how many times the player has killed.
GetPlayerScore@(player);@Gets player's score
GetPlayerSuicides@(player);@Gets player's suicides.
GetPlayerTeam@(player);@Gets player's team.
GetRespawnMask@(Player);@Gets player's respawn mask for ctf.
GetScoreLimit@();@Gets score limit of game.
GetTeamScore@(team);@Gets team score
GetTimeLimit@();@Gets time limit of a game
IsMulti@();@Checks to see if the game is MP.
IsServer@();@Is machine server.
NthBackpackBin@();@?
NthBackpackValue@();@?
NumBackpackItems@();@Gets num of backpack items.
PickupBackPack@(player,backpack);@Gives backpack to player.
SetMultiModeFlags@(flag*);@Sets the multimode flags.
SetPlayerKilled@(player,int);@Sets the number of times a player has been killed.
SetPlayerKills@(player,int);@Sets the number of times a player has  killed.
SetPlayerScore@(player,int);@Sets player's score.
SetPlayerSuicdes@(player,int);@Sets player suicides
SetPlayerTeam@(player,int);@Sets the player's team.
SetRespawnMask@(player,flags);@Sets the player's respawn mask for ctf.
SetScoreLimit@(int);@Sets the score limit.
SetTeamScore@(Team,int);@Sets the team score
SetTimeLimit@(Int);@Sets the time limit.
SyncScores@();@Syncs the score over the network.
SyncSector@(sector);@Syncs the sector over the network.
SyncSurface@(surface);@Syncs the surface over the network.
SyncThingAttachment@(Thing);@Syncs thing attachment over the netowrk.
SyncThingPos@(thing);@Syncs a thing's pos over the network.
SyncThingState@(thing);@?
[O/P]
jkPrintUNIString@(player,Int);@Writes string number to player
jkStringClear@();@Clears Concat string
jkStringConcatAsciiString@();@Concanates ASCII to the string
jkStringConcatFlex@(flex);@Concanates a flex to the string
jkStringConcatFormattedFlex@(flex);@Concanates a formatted fex to the string
jkStringConcatFormattedInt@(int);@Concanates a formatted int to the string
jkStringConcatInt@(int);@Concanates an int to the string
jkStringConcatPlayerName@(player);@Concanates the player name to the string
jkStringConcatSpace@();@Concanates a space to the string
jkStringConcatUniString@();@Concanates a UNIstring to the string
jkStringConcatVector@();@Concanates a vector to the string
jkStringOutput@();@Outputs a string
Print@("text");@prints text to console
PrintFlex@(flex);@Prints flex value to console
PrintInt@(int);@Prints integer value to console
PrintVector@(Vector);@prints vector to console
[Player]
jkClearSuperFlags@(flag*);@Clears supercharge flags
jkGetChoice@();@Gets force side choice (1=light, 2=dark)
jkGetSuperFlags@();@Get the flags of supercharge.
jkSetSuperFlags@(flag*);@Sets the supercharge flags.
jkSetWaggle@(player,vector,Int);@Waggles the player's weapon.
jkSetWeaponMesh@(thing,model *.3do);@Sets the weapon 3do.
[Sector]
ClearSectorFlags@(sector,flag*);@Clears the specified flag
FirstThingInSector@(sector);@Gets the first thing in the sector.
GetNumSectorSurfaces@(sector);@Gets num of surfaces in the sector.
GetNumSectorVertices@(sector);@Gets the num of verticies in sector.
GetSectorCenter@(sector);@Gets the center of sector.
GetsectorColorMap@(sector);@Gets the sector CMP
GetSectorFlags@(sector);@Gets the sector flags.
GetSectorLight@(sector);@Gets the sector extra light value.
GetSectorPlayerCount@(sector);@Gets the sector player count.
GetSectorSurfaceRef@();@?
GetSectorThingCount@(sector,thing);@Gets the amount of things in a s sector.
GetSectorThrust@(sector);@Gets the sector thrust value.
GetSectorTint@(sector);@Gets the sector tint value.
GetSectorVertexPos@(sector,vertex);@Gets position of vertex.
NextThingInSector@(sector, previous thing );@Gets the next thing in a sector.
PrevThingInSector@(sector, previous thing );@Gets the previous thing in a sector.
SetSectorAdjoins@(sector,Int);@Sets a sector's adjoins
SetSectorColorMap@(sector,colormap int);@Sets a sector's colormap.
SetSectorFlags@(sector,flag*);@Sets a sector's flags.
SetSectorLight@(sector,light int,delay int);@Sets a sector's extra light value.
SetSectorThrust@(sector,vector,speed int);@Sets a sector's thrust value.
SetSectorTint@(sector, rgb);@Sets a sector's ting value (RGB).
[Snd]
ChangeSoundPitch@(int channel, flex NewPitch, flex ChangeTime);@Changes sound Pitch over time
ChangeSoundVol@(int ref , flex volume, flex FadeInTime);@Changes the volume over time
GetSoundLen@(wav);@Returns flex length of sound
PlaySong@(int starttrack, int endtrack, int loopinto);@Plays Cd track
PlaySoundClass@();@?
PlaySoundGlobal@(sound, volume, balance, flag*);@Played to all computers in Mp
PlaySoundLocal@(sound, volume, balance, flag*);@Played on local computer only
PlaySoundPos@(wav, vector position, flex volume, flex mindistance, flex maxdistance, flag*);@Sound is played at specified vector position
PlaySoundThing@(sound,thing,vol flex,dist,dist,flag*);@Sound is linked to a thing
SectorSound@(sector, wav, flex volume);@Plays sound in specified sector
SetMusicVol@(flex volume);@Sets volume of Cd track playing
StopSound@(int channel, flex fadeout);@Stops sound being played on specified channel
[Eff]
jkDisableSaber@(player)@Disables the saber from creating collisions.
JkEnableSaber@(player, flex damage, flex bladelength, flex stundelay);@Enables the saber blade to create collisions. Collisions created ONLY when saber strikes
jkEndTarget@();@Voids the Force Power Process from working .
JkSetPersuasionInfo@(player, int 1, int 2);@ Int's are the min and max of the appearing twinkling stars.
jkSetSaberInfo@(player /dj_ref,side_mat ,tip_mat ,base_radiusflex,tip_rad_flex,blade_len_flex,wallhit_tpl,flesh_hit_tpl,sabers_hit_tpl);@?
jkSetTarGet@(thing ref);@Sets Target Reticule
jkSetTarGetColors@(color1_int,int,int);@Sets the reticule colors int=palette index
AddDynamicAdd@(player, flex r,flex g, flex b);@Adds a tint.
AddDynamicTint@(thingref,RGB*);@Flashes a tint.
AmputateJoint@(thingref,int);@Cuts off a thing's joint based on its pup flags.
ApplyForce@(thing,vector);@applies a vector to a thing
ClearMapModeFlags@(flags);@Clears overlay map flags.
CycleCamera@();@Cycles camera views.
DisableIrMode@();@Shuts off IR goggle mode.
EnableIrMode@(flex,1);@Activated IR goggle mode
FreeColorEffect@(int);@Sets the view mode.
GetCameraStateFlags@();@?
GetCurrentCamera@();@Stores current camera as a thing. (thing = GetCurrentCamera();)
GetMapModeFlags@();@Retrieves the overlay flags.
GetSecondaryFocus@(int camera);@Gets focus screen for camera. Vague.
ModifyColorEffect@(int filterR, int filterG, int filterB, flex tintR, flex tintG, flex tintB, int addR, int addG, int addB, flex fadeintensity);@Mixes colors
SetCameraFocus@(int, thing camera);@Changes the current view to a specified thing.
SetCameraStateFlags@();@?
SetCurrentCamera@(int);@Sets the current camera. 
SetMapModeFlags@(flag*);@Sets the overlay flags
SlideCeilingSky@(flex u, flex v);@Slides any surface marked with ceiling flag.
SlideHorizonSky@(flex u, flex v);@Slides any surface marked with horizon flag.
[Surf]
ClearAdjoinFlags@(surface,flag*);@Clears the specified Adjoin flags!
ClearFaceType@(face,flag*);@Clears specified Face Type flags
ClearSurfaceFlags@(surface,flag*);@Clears the specified surface flags
GetAdjoinFlags@(surface);@Gets the surface Adjoin flags
GetFaceGeoMode@(surface);@Gets the geometry mode of surface
GetFaceLightMode@(surface);@Gets the lighting mode of the surface
GetFaceTexMode@(surface);@?
GetFaceType@(face);@Gets Face Type flags
GetNumSurfaceVertices@(face);@Gets the number of vertices a face has.
GetSurfaceAdjoin@(surface);@Gets the Adjoin of the surface returns -1 if not adjoined
GetSurfaceAnim@(surface);@Gets the surface animation id
GetSurfaceCel@(surface);@?
GetSurfaceCenter@(surface);@Gets the center of a surface returns a vector(0.0,0.0,0.0)(x,y,z)
GetSurfaceFlags@(surface);@Gets the surface flags.
GetSurfaceLight@(surface);@?
GetSurfaceMat@(surface);@Gets the surface material
GetSurfaceNormal@(surface);@Gets the normal of the surface
GetSurfaceSector@(surface);@Gets the sector surface is in
GetSurfaceVertexPos@(face, vertexindex);@Get the position of a vertex in a face
GetWallCel@(surface);@Gets the Mat cel number of the surface
SetAdjoinFlags@(surface,flag*);@Sets the specified Adjoin flags
SetFaceGeoMode@(surface,flag*);@Sets the specified geometry mode of surface
SetFaceLightMode@(surface,flag*);@Sets the specified lighting mode of the surface
SetFaceTexMode@(surface,flag*);@?
SetFaceType@(face,flag*);@Sets specified Face Type flags
SetSurfaceCel@(surface,int);@?
SetSurfaceFlags@(surface,flag*);@Sets the specified surface flags
SetSurfaceLight@(surface, flex, delay);@?
SetSurfaceMat@(surface,material );@Sets a mat for surface
SetWallCel@(surface,cel int);@Sets the surface mat to specified cel
SlideSurface@(surface,vector dir,flex velocity,anim int);@?
SlideWall@(surface,vector dir,flex velocity,anim int);@Moves a surface texture (scroll).
StopSurfaceAnim@(surface);@Stops a surface animation 
SurfaceAnim@(surface,fps,flag*);@Starts a surface animation
SurfaceLightAnim@(surf, minLight flex, maxLight, period);@Starts a light animation on the surface.
[Sys]
jkEndlevel@(1);@Ends the level.
jkGetSaberCam@();@returns 1 if set,0 if not set ,Gets the setting of auto saber camera option in the graphic interface. 
AutoSaveGame@();@Autosaves the game
BitClear@();@?
BitSet@();@?
BitTest@();@?
ClearDebugModeFlags@();@?
ClearGoalFlags@();@Clear one or more goal flags for one of the goals.
ClearSubModeFlags@();@?
GetAutoPickup@();@Gets the status of the auto pickup setting in the graphic interface
GetAutoReload@();@Gets the status of the autoreload setting in the graphic interface
GetAutoSwitch@();@Gets the status of the auto switch setting in the graphic interface
GetDebugModeFlags@();@?
GetDifficulty@();@Gets difficulty setting for SP.
GetFlexGameTime@();@?
GetGameTime@();@?
GetGoalFlags@();@Returns the Goal Flags of the selected goal. Used for single player objectives
GetLevelTime@();@?
GetMajorMode@();@?
GetMasterCog@();@Returns the cogRef of the current Master cog.
GetParam@();@Gets one parameter of a cog message. Each cog message has 4 parameters, but generally only some of them contain useful values
GetSelfCog@();@Returns the cogRef of the current cog.
GetSenderId@();@Returns the ID of the current message's sender.
GetSenderRef@();@Returns what sent a message to the cog
GetSenderType@();@Gets the type of the sender of the message.
GetSithMode@();@?
GetSourceref@();@Returns what caused a message to be sent to the cog.
GetSourcetype@();@Gets the type of the source of the message
GetSubModeFlags@();@?
HeapFree@();@?
HeapGet@();@?
HeapNew@();@?
HeapSet@();@?
KillTimerEx@();@Kills any extended timer with the specified ID.
ParseArg@();@?
Rand@();@Returns a random flex value between 0.0 and 1.0
Reset@();@?
ReturnEx@();@Specifies the flex value that the cog message returns to the caller.
SendMessage@();@Sends a message to a cog.
SendMessageEx@();@Sends a message to a cog with parameters passing
SendTrigger@();@Sends a trigger, that is generates a trigger: message sent to all the cogs on the destination.
SetAutoPickup@();@Sets the status of the auto pickup setting in the graphic interface 
SetAutoReload@();@Sets the status of the auto reload setting in the graphic interface
SetAutoSwitch@();@Sets the status of the auto switch setting in the graphic interface
SetDebugModeFlags@();@?
SetGoalFlags@();@Sets a goal flag for one of the goals
SetMasterCog@();@Sets the Master cog for a single player level.
SetParam@();@Sets one parameter of a cog message
Setpulse@();@Sets the pulse for the current cog's
SetSubModeFlags@();@?
SetTimer@();@Sets the timer for the cog
SetTimerex@();@Sets an timer of delay seconds for the cog
SkillTarget@();@Tells a target that a certain skill is being applied to it
Sleep@();@Pauses the cog and its actions for a defined time.
Takeitem@();@Requests to take an item from the server
[Thing]
jkClearFlags@(thing, flag*);@Clears the specified jk flags 
jkGetFlags@(thing);@Gets the jk flags
jkSetFlags@(thing, flag*);@Sets the specified jk flags
AddThingVel@();@?
AttachThingToSurf@();@?
AttachThingToThing@(thing1, thing2);@Attaches a thing to a thing
AttachThingToThingEx@(thing1, thing2, flag*);@Attaches thing to thing with an optional flag
CaptureThing@(thing);@Redirects created thing messages to calling cog. 
ClearExplosionFlags@(explosion,flag*);@Clears the specified explosion flags. 
ClearItemFlags@(flag);@Clears the specified item Flags
ClearParticleFlags@(particle, flag*);@?
ClearPhysicsFlags@(thing, flag*);@Clears specified physics flags
ClearThingAttachFlags@(thing, flag*);@Clears specified attach flags
ClearThingFlags@(thing, flag*);@Clears specified Thing Flags
ClearTypeFlags@(thing, flag*);@?
ClearWeaponFlags@(thing,flag*);@Clears specified weapon flags
CreateThing@(thing template, thing position);@Creates a thing
CreateThingatPos@(thing template, sector, thing position, pyr);@pyr = pitch ,roll,yaw(vector) creates a thing at a pos
CreateThingatPosNr@(thing template, sector, thing position, pyr);@Create a thing at specified position
CreateThingnr@(thing template,?);@Create thing
DamageThing@(thing,damage,flag*,causethg);@Damages a thing.
DestroyThing@(thing);@Removes a thing from game
DetachThing@(Thing);@Detach a thing from a surface or another thing
GetCollideType@(thing);@Gets the Collide type flags
GetCurFrame@(thing);@Gets the current Frame of a moving thing.
GetExplosionFlags@();@?
GetGoalFrame@();@?
GetItemFlags@(thing);@Gets the item Flags
GetParticleFlags@(thing);@Gets the thing particle flags
GetParticleGrowthSpeed@(thing);@Gets the particle thing growth speed
GetParticleSize@();@?
GetParticleTimeOutRate@();@?
GetPhysicsFlags@(thing);@Gets thing physics flags
GetThingAttachFlags@(thing);@Gets thing attach flags
GetThingCaptureCog@();@?
GetThingClassCog@(thing);@Gets the cog of thing 
GetThingCollideSize@();@?
GetThingCurGeoMode@(thing);@Gets the thing current geometry mode
GetThingCurLightMode@();@?
GetThingCurTexMode@();@?
GetThingFireOffset@();@?
GetThingFlags@(thing);@Gets Thing Flags
GetThingCurGeoMode@(thing);@Gets the thing geometry mode
GetThinglight@(thing);@Gets the thing light value
GetThingLightMode@();@?
GetThingLVec@(thing);@Gets the vector thing is looking at
GetThingMass@(thing);@Gets the Mass of a thing
GetThingModel@(thing);@Gets the thing 3do
GetThingMoveSize@();@?
GetThingParent@(thing);@Gets the parent thing of a thing
GetThingPos@(thing);@Gets the Position of a thing
GetThingRespawn@();@?
GetThingRotVel@();@?
GetThingRVec@();@?
GetThingSector@(thing);@Gets the thing sector
GetThingSignature@(thing);@Gets the signature of thing (unique thing number)
GetThingTemplate@(thing);@Gets the thing template
GetThingTexMode@();@?
GetThingThrust@(thing);@Gets the thing thrust (velocity)
GetThingType@(thing);@Gets the thing type
GetThingUserData@();@?
GetThingUVec@();@Gets the thing up vector
GetThingVel@(thing);@Gets the thing velocity.
GetTypeFlags@();@?
GetWeaponFlags@(thing);@Get thing weapon flags
IsThingCrouching@(thing);@1 =true,0=false,-1 if not actor or player
IsThingMoving@(thing);@0 @not moving
IsThingVisible@(thing);@Checks to see if thing is visible 
JumptoFrame@(thing, int frame, sector);@jumps an object to one of its frames 
MoveToFrame@(thing, int frame, flex speed);@moves an object to one of its frames 
PathMovePause@();@?
PathMoveResume@();@?
ReleaseThing@();@?
RotatePivot@();@?
SetCollideType@(thing, flag*);@Sets the specified Collide type flags.
SetExplosionFlags@(explosion, flag*);@?
SetItemFlags@(thing, flag*);@Sets the specified item Flags.
SetParticleFlags@(particle, flag*);@?
SetParticleGrowthSpeed@(thing, flex);@Sets the particle Growth speed.
SetParticleSize@();@?
SetParticleTimeOutRate@();@?
SetPhysicsFlags@(thing, flag*);@Sets specified physics flags. 
SetThingAttachFlags@(thing, flag*);@Sets specified attach flags
SetThingCaptureCog@();@?
SetThingClassCog@();@?
SetThingCollideSize@();@?
SetThingCurGeoMode@(thing, flag*);@Sets the thing current geometry mode 
SetThingCurLightMode@();@?
SetThingCurTexMode@();@?
SetThingfireOffset@(thing, vector);@Sets a fire offset for a thing. 
SetThingFlags@(thing, flag*);@Sets specified Thing Flags 
SetThingGeoMode@(thing, flag*);@Sets the specified thing geometry mode flags. 
SetThingHealth@(thing, int);@Sets the things health. 
SetThingLight@(thing, int);@Sets a thing light value. 
SetThingLightMode@();@?
SetThingLook@(thing, vector);@Sets the look vector of a thing. 
SetThingMass@(thing, flex);@Sets the thing Mass. 
SetThingModel@(thing, model);@Set Thing model. 
SetThingMoveSize@();@?
SetThingPos@(thing, vector);@Sets the things position 
SetThingPulse@();@?
SetThingRotVel@(thing,vector);@Sets thing rotation velocity 
SetThingTexMode@();@?
SetThingThrust@();@?
SetThingTimer@();@?
SetThingType@();@?
SetThingUserData@();@?
SetThingVel@(thing, vector);@Sets a things velocity 
SetTypeFlags@(thing,flag*);@?
SetWeaponFlags@(thing,flag*);@Sets specified weapon flags
SkipToFrame@(thing, int frame,speed int);@Skips an object to one of its frames 
StopThing@(thing);@Stops a thing movement. 
TeleportThing@(thing, thing);@teleports a thing to another things location 
WaitForStop@(thing);@Waits for a thing to stop before continuing 
[Vec]
VectorAdd@(vector, vector);@returns Vector sum of two vectors
VectorCross@(vector, vector);@returns vector cross product of two vectors
VectorDist@(vector, vector);@returns flex  gets the distance between two vectors
VectorDot@(vector, vector);@returns flex dot product of two vectors
VectorLen@(vector);@returns flex length of a vector
VectorNorm@(vector);@returns flex normal of vector
VectorScale@(vector,flex);@returns vector scales a vector by scale amount
VectorSet@(flex X, flex Y, flex Z);@returns vector , creates a vector
VectorSub@(vector, vector);@returns vector , subtrctracts two vectors
VectorX@(vector);@returns flex ,X portion of vector
VectorY@(vector);@returns flex ,Y portion of vector
VectorZ@(vector);@returns flex ,Z portion of vector
[Wep]
ActivateWeapon@(player,flex firerate,mode);@Activates a weapon. 
AssignWeapon@(player,bin);@Gives a weapon to player 
AutoSelectWeapon@();@Selects a weapon automatically. Used in JK when ammo runs out.
ChangeFireRate@(player,flex rate);@Changes the fire rate of weapon. 
DeactivateWeapon@(player,mode);@Deactivates a weapon. 
FireProjectile@(1,2,3,4,5,6,7,8,9,10);@Fires a projectile. 
GetCurInvWeapon@();@?
GetCurWeapon@();@Gets the current weapon held by the player.
GetCurWeaponMode@();@Used for weapons that charge, such as the TD and Crossbow
GetWeaponPriority@();@Determines if the weapon picked up has a better priority than the one currently in hand, found in the POW &Weapon cogs
SelectWeapon@(thing,bin);@Selects a weapon 
SetCurInvWeapon@(player,0);@Sets the current inventory weapon. 
SetCurWeapon@(player,bin);@Sets the current weapon
SetFireWait@(player,flex delay);@Delays use of weapon
[Wrld]
GetGravity@();@Gets the gravity from the JKL
GetCeilingSkyOffset@();@Gets the ceiling offset for the JKL
GetHorizonSkyOffset@();@Gets the horizon offset from the JKL
GetSectorCount@();@Counts the number of sectors in the JKL
GetSurfaceCount@();@Counts the number of surfaces in the JKL
GetThingCount@();@Counts the number of things in the JKL
GetThingTemplateCount@(thing);@Counts the number of templates in the JKL
SetCeilingSkyOffset@();@Sets sky offset in the JKL
SetGravity@(flex);@Sets the gravity for the JKL
SetHorizonSkyOffset@();@Sets the Horizon offest for the JKL
